RKWARD(1)

NAME
rkward - Een KDE frontend voor R

SAMENVATTING

rkward [--evaluate Rcode] [--debug-level level] [--debug-flags vlaggen] [--debug-output waarin] [--backend-debugger debugger_opdracht] [--r-executable pad_naar_executable] [--reuse] [--autoreuse] [----nowarn-external] [KDE Generieke opties] [Qt Generieke Opties] [te_openen-bestanden]

BESCHRIJVING

RKWard is een GUI en IDE op basis van KDE voor de scripttaal R, voor statische berekeningen.

Verdere informatie kunt u vinden op de website van RKWard[1], en de documentatie in RKWard.

OPTIES

--evaluate Rcode
    De gegeven R-programmacode wordt berekend na het starten van RKWard, en nadat er een opgegeven werkruimte is ingelezen. Meestal gebruikt voor automatisch testen.

--debug-level level
    Uitgebreidheid van de debug-uitvoer, 0-5, met 0 is geen uitvoer, 5 is alle uitvoer, met inbegrip van functie-trace informatie. Standaard is 2.

--debug-uitvoer waarin
    Waar debug-uitvoer naar toe moet. Standaard is opslaan in een bestand in de tijdelijke map. Maar opgeven van "terminal" schrijft de debug-uitvoer naar stderr (nuttig voor debuggen van problemen bij starten). Let op dat debug-uitvoer van het backendproces altijd in een bestand wordt opgeslagen.

--debug-flags vlaggen
    Instellen welke programmaregels moeten worden gedebugd. Flags (vlaggen) worden opgegeven als een binair getal. Bekijk de bronbestanden voor de documentatie, dit is echt een interne optie.

--backend-debugger command
    Laat de backend van RKWard werken met de opgegeven debugger-opdracht. U kunt hieraan opties voor de opdrachtregel toevoegen binnen enkele aanhalingstekens (''). LET OP: Argumenten voor de debugger worden gescheiden door spaties. Indien dit niet wordt gewenst, moet u uw eigen script schrijven om de debugger te starten. U moet er ook op letten dat alle in/uitvoer van de debugger op de juiste manier wordt doorgestuurd (redirect). Zie de voorbeelden.

--r-executable command
    Indien er meerdere installaties zijn van R, moet u de te gebruiken installatie opgeven, bijv. /usr/bin/R. U kunt ook de tekenreeks (string) "auto", gebruiken, waarna RKWard probeert R te zoeken in een van de standaard locaties. LET OP dat hoewel RKWard vaak goed werkt met nieuwe versies van R, het soms voor die versie opnieuw moet worden gecompileerd, of er helemaal niet compatibel mee is.

    Deze optie wijzigt de installatie van R slechts voor de huidige sessie, niet permanent.

--reuse
    Als een instantie van RKWard al actief is, deze naar voren halen, en de te_openen_bestanden openen. Let er op dat alle andere opties op de opdrachtregel worden genegeerd wanneer een instantie opnieuw wordt gebruikt.

--autoreuse
    Doet hetzelfde als --reuse, maar indien ook enige bestandsargumenten zijn gegeven, wordt een nieuwe instantie gestart. Bedoeld voor gebruik in het .desktop-bestand.

--nowarn-external
    Gewoonlijk, zullen plugins van RKWard, die vanaf de opdrachtregel worden gestart (bijv. als te_openen_bestanden URLs bevatten in de vorm rkward://runplugin/...), waarschuwen dat URLs mogelijk kunnen worden gebruikt voor het starten van kwaadaardige code op uw systeem. Deze waarschuwing is vooral van toepassing voor links gevonden op niet vertrouwde websites, of andere niet vertrouwde externe bronnen. Indien u RKWard lokaal wilt scripten kunt u deze waarschuwing uitzetten door de toevoeging --nowarn-external aan de opdrachtregel.

    (Indien gebruikt in combinatie met --reuse, dan zullen *beide* commando's in kwestie opgeroepen moeten worden met --nowarn-external, om de waarschuwing te onderdrukken.)

--setup
    Acteert alsof een nieuwe versie van RKWard is geïnstalleerd, belangrijk is het opnieuw installeren van het R ondersteuningspakket en het tonen van de assistent voor opzetten. Deze functie is het meest gericht op ontwikkelaars end testers.

--quirkmode
    Enige validatiecode uitschakelen bij opstarten. Experimentele optie, niet bedoeld voor regulier gebruik.

te_openen_bestanden
    U kunt elk aantal door RKWard te openen bestandsnamen of URLs opgeven. Gewoonlijk zijn dit bestanden voor werkruimten, werkplaatsen, R-scripts, of rkward://URLs (bijv.. voor het starten van een plugin-dialoog). Wanneer u meer dan een werkplaatsbestand opgeeft, worden die samengevoegd, dit wordt niet aanbevolen.

ZIE OOK

R(1)

VOORBEELDEN

    # Starten met de dialoog van t-test
    rkward --nowarn-external rkward://runplugin/rkward::t_test/
    # Twee scriptbestanden openen in een actieve instantie van RKWard (of in een nieuwe instantie, als RKWard niet actief is)
    rkward --reuse file_a.R file_b.R
    #Laat backend RKWard werken met valgrind
    rkward --backend-debugger 'valgrind --log-file=valgrind.log'.

AUTEURS

RKWard werd geschreven door Thomas Friedrichsmeier en het team van RKWard. Zie de website van RKWard[1].

AUTEUR

Thomas Friedrichsmeier <rkward@kde.org>
    Man-pagina van RKWard.

OPMERKINGEN

1.  website van RKWard
    https://rkward.kde.org/